<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">

    <div id="gzl-text-editor-#{id}-container">
        <h:inputTextarea value="#{text}" styleClass="gzl-text-editor-#{id}" id="#{id}"/>
    </div>
    <!--@formatter:off-->
        <script>
            jq162('.gzl-text-editor-#{id}').summernote({
                height: #{editor_height == null ? '300' : editor_height},
                <h:panelGroup rendered="#{isFocus}">
                    focus: true
                </h:panelGroup>
            });
             jq162('#gzl-text-editor-#{id}-container').find('.note-editing-area textarea').keyup(function(){
                jq162('.gzl-text-editor-#{id}').val(this.value);
            });
        </script>
        <!--@formatter:on-->

</ui:composition>